Error
A valid request URL is required to generate request examples{}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "<string>",
"fieldViolations": [
{
"description": "<string>"
}
]
}
]
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "<string>",
"fieldViolations": [
{
"description": "<string>"
}
]
}
]
}
}GenAI Integration
Retrieve video generation operation (Gemini format)
Polls the status of a long-running video generation operation produced
by models/{model}:generateVideos. The Gemini SDK appends the
operation name as a wildcard path segment. If the operation name
contains /, it must be percent-encoded in the request path (for
example, %2F) to remain conformant with OpenAPI 3.x path-parameter
semantics.
GET
/
genai
/
v1beta
/
models
/
{model}
/
operations
/
{operation_id}
Error
A valid request URL is required to generate request examples{}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "<string>",
"fieldViolations": [
{
"description": "<string>"
}
]
}
]
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>",
"details": [
{
"@type": "<string>",
"fieldViolations": [
{
"description": "<string>"
}
]
}
]
}
}Authorizations
BearerAuthVirtualKeyAuthApiKeyAuth
Path Parameters
Response
Operation status payload (Gemini video generation response).
The response is of type object.
Was this page helpful?

